Bug 717115 - Use /etc/login.defs to define a 'system' account instead of hard-coding 500 (kde-settings)
Use /etc/login.defs to define a 'system' account instead of hard-coding 500 (...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kde-settings (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On: 732830
Blocks: 1kAccounts
  Show dependency treegraph
 
Reported: 2011-06-28 00:23 EDT by Miloslav Trmač
Modified: 2011-10-04 17:19 EDT (History)
8 users (show)

See Also:
Fixed In Version: akonadi-1.6.1-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 732830 (view as bug list)
Environment:
Last Closed: 2011-10-04 17:19:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Set MinShowUID to -1 (998 bytes, patch)
2011-08-23 15:33 EDT, Miloslav Trmač
no flags Details | Diff

  None (edit)
Description Miloslav Trmač 2011-06-28 00:23:38 EDT
etc/kde/kdm/kdmrc:MinShowUID categorizes UIDs as system/user using a
hard-coded value 500.  Please use UID_MIN from /etc/login.defs for this; we
plan to change the boundary; this could perhaps be done by extending kdm to parse /etc/login/defs. file for a default value of this setting, then removing this setting from kdmrc.

See attachment 510191 [details] for the proper way to parse /etc/login.defs.

Please let me know if you want me to prepare a complete patch.

Version-Release number of selected component (if applicable):
kde-settings-4.6-10.fc16
kdebase-workspace-4.6.80-1.fc16
Comment 1 Ngo Than 2011-07-21 05:46:27 EDT
Miloslav, patch is always welcome ;-)

thanks
Comment 2 Kostas Georgiou 2011-07-21 06:37:33 EDT
system accounts are the ones below SYS_UID_MAX not below UID_MIN. UID_MIN is only the minimum that useradd uses, external user accounts (ldap) can still be below UID_MIN.
Comment 3 Miloslav Trmač 2011-07-21 07:07:45 EDT
(In reply to comment #2)
> system accounts are the ones below SYS_UID_MAX not below UID_MIN. UID_MIN is
> only the minimum that useradd uses, external user accounts (ldap) can still be
> below UID_MIN.

Similarly, external system accounts can be outside of the SYS_* range.  kdm considers each account to be either a system or user account, there is no "unknown" category.
Comment 4 Miloslav Trmač 2011-08-23 15:33:27 EDT
Created attachment 519511 [details]
Set MinShowUID to -1

The attached patch updates default configuration to take advantage of the kdebase-workspace patch in attachment #519510 [details].

Because the default configuration uses a themed greeter that doesn't contain an user list, this does not affect the default configuration - but without this patch and the kdebase-workspace patch, users that enable the user list would see various system users in the list.
Comment 5 Fedora Update System 2011-09-26 12:16:50 EDT
akonadi-1.6.1-1.fc16, blinken-4.7.1-2.fc16, cantor-4.7.1-2.fc16, gwenview-4.7.1-2.fc16, kalgebra-4.7.1-1.fc16, kalzium-4.7.1-1.fc16, kamera-4.7.1-1.fc16, kanagram-4.7.1-1.fc16, kate-4.7.1-1.fc16, kbruch-4.7.1-2.fc16, kcolorchooser-4.7.1-1.fc16, kdeaccessibility-4.7.1-1.fc16, kdeadmin-4.7.1-2.fc16, kdeartwork-4.7.1-1.fc16, kdebase-4.7.1-2.fc16, kdebase-runtime-4.7.1-1.fc16, kdebase-workspace-4.7.1-2.fc16, kdeedu-4.7.1-2.fc16, kdegames-4.7.1-1.fc16, kdegraphics-4.7.1-1.fc16, kdegraphics-strigi-analyzer-4.7.1-1.fc16, kdegraphics-thumbnailers-4.7.1-1.fc16, kde-l10n-4.7.1-1.fc16, kdelibs-4.7.1-1.fc16, kdemultimedia-4.7.1-4.fc16, kdenetwork-4.7.1-1.fc16, kdepim-4.7.1-1.fc16, kdepimlibs-4.7.1-1.fc16, kdepim-runtime-4.7.1-4.fc16, kdeplasma-addons-4.7.1-1.fc16, kdesdk-4.7.1-1.fc16, kde-settings-4.7-7.fc16, kdetoys-4.7.1-1.fc16, kdeutils-4.7.1-1.fc16, kgamma-4.7.1-1.fc16, kgeography-4.7.1-2.fc16, khangman-4.7.1-2.fc16, kig-4.7.1-2.fc16, kiten-4.7.1-2.fc16, klettres-4.7.1-2.fc16, kmplot-4.7.1-2.fc16, kolourpaint-4.7.1-1.fc16, konsole-4.7.1-1.fc16, kross-interpreters-4.7.1-1.fc16, kruler-4.7.1-1.fc16, ksaneplugin-4.7.1-1.fc16, ksnapshot-4.7.1-1.fc16, kstars-4.7.1-3.fc16, ktouch-4.7.1-2.fc16, kturtle-4.7.1-2.fc16, kwordquiz-4.7.1-2.fc16, libkdcraw-4.7.1-1.fc16, libkdeedu-4.7.1-1.fc16, libkexiv2-4.7.1-1.fc16, libkipi-4.7.1-1.fc16, libksane-4.7.1-1.fc16, marble-4.7.1-1.fc16, okular-4.7.1-2.fc16, oxygen-icon-theme-4.7.1-1.fc16, parley-4.7.1-2.fc16, PyKDE4-4.7.1-2.fc16, rocs-4.7.1-3.fc16, shared-desktop-ontologies-0.8.0-1.fc16, smokegen-4.7.1-1.fc16, smokekde-4.7.1-2.fc16, smokeqt-4.7.1-2.fc16, step-4.7.1-2.fc16, svgpart-4.7.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/akonadi-1.6.1-1.fc16,blinken-4.7.1-2.fc16,cantor-4.7.1-2.fc16,gwenview-4.7.1-2.fc16,kalgebra-4.7.1-1.fc16,kalzium-4.7.1-1.fc16,kamera-4.7.1-1.fc16,kanagram-4.7.1-1.fc16,kate-4.7.1-1.fc16,kbruch-4.7.1-2.fc16,kcolorchooser-4.7.1-1.fc16,kdeaccessibility-4.7.1-1.fc16,kdeadmin-4.7.1-2.fc16,kdeartwork-4.7.1-1.fc16,kdebase-4.7.1-2.fc16,kdebase-runtime-4.7.1-1.fc16,kdebase-workspace-4.7.1-2.fc16,kdeedu-4.7.1-2.fc16,kdegames-4.7.1-1.fc16,kdegraphics-4.7.1-1.fc16,kdegraphics-strigi-analyzer-4.7.1-1.fc16,kdegraphics-thumbnailers-4.7.1-1.fc16,kde-l10n-4.7.1-1.fc16,kdelibs-4.7.1-1.fc16,kdemultimedia-4.7.1-4.fc16,kdenetwork-4.7.1-1.fc16,kdepim-4.7.1-1.fc16,kdepimlibs-4.7.1-1.fc16,kdepim-runtime-4.7.1-4.fc16,kdeplasma-addons-4.7.1-1.fc16,kdesdk-4.7.1-1.fc16,kde-settings-4.7-7.fc16,kdetoys-4.7.1-1.fc16,kdeutils-4.7.1-1.fc16,kgamma-4.7.1-1.fc16,kgeography-4.7.1-2.fc16,khangman-4.7.1-2.fc16,kig-4.7.1-2.fc16,kiten-4.7.1-2.fc16,klettres-4.7.1-2.fc16,kmplot-4.7.1-2.fc16,kolourpaint-4.7.1-1.fc16,konsole-4.7.1-1.fc16,kross-interpreters-4.7.1-1.fc16,kruler-4.7.1-1.fc16,ksaneplugin-4.7.1-1.fc16,ksnapshot-4.7.1-1.fc16,kstars-4.7.1-3.fc16,ktouch-4.7.1-2.fc16,kturtle-4.7.1-2.fc16,kwordquiz-4.7.1-2.fc16,libkdcraw-4.7.1-1.fc16,libkdeedu-4.7.1-1.fc16,libkexiv2-4.7.1-1.fc16,libkipi-4.7.1-1.fc16,libksane-4.7.1-1.fc16,marble-4.7.1-1.fc16,okular-4.7.1-2.fc16,oxygen-icon-theme-4.7.1-1.fc16,parley-4.7.1-2.fc16,PyKDE4-4.7.1-2.fc16,rocs-4.7.1-3.fc16,shared-desktop-ontologies-0.8.0-1.fc16,smokegen-4.7.1-1.fc16,smokekde-4.7.1-2.fc16,smokeqt-4.7.1-2.fc16,step-4.7.1-2.fc16,svgpart-4.7.1-1.fc16
Comment 6 Fedora Update System 2011-09-28 14:51:01 EDT
Package akonadi-1.6.1-1.fc16, blinken-4.7.1-2.fc16, cantor-4.7.1-2.fc16, gwenview-4.7.1-2.fc16, kalgebra-4.7.1-1.fc16, kalzium-4.7.1-1.fc16, kamera-4.7.1-1.fc16, kanagram-4.7.1-1.fc16, kate-4.7.1-1.fc16, kbruch-4.7.1-2.fc16, kcolorchooser-4.7.1-1.fc16, kdeaccessibility-4.7.1-1.fc16, kdeadmin-4.7.1-2.fc16, kdeartwork-4.7.1-1.fc16, kdebase-4.7.1-2.fc16, kdebase-runtime-4.7.1-1.fc16, kdebase-workspace-4.7.1-2.fc16, kdeedu-4.7.1-2.fc16, kdegames-4.7.1-1.fc16, kdegraphics-4.7.1-1.fc16, kdegraphics-strigi-analyzer-4.7.1-1.fc16, kdegraphics-thumbnailers-4.7.1-1.fc16, kde-l10n-4.7.1-1.fc16, kdelibs-4.7.1-1.fc16, kdemultimedia-4.7.1-4.fc16, kdenetwork-4.7.1-1.fc16, kdepim-4.7.1-1.fc16, kdepimlibs-4.7.1-1.fc16, kdepim-runtime-4.7.1-4.fc16, kdeplasma-addons-4.7.1-1.fc16, kdesdk-4.7.1-1.fc16, kde-settings-4.7-7.fc16, kdetoys-4.7.1-1.fc16, kgamma-4.7.1-1.fc16, kgeography-4.7.1-2.fc16, khangman-4.7.1-2.fc16, kig-4.7.1-2.fc16, kiten-4.7.1-2.fc16, klettres-4.7.1-2.fc16, kmplot-4.7.1-2.fc16, kolourpaint-4.7.1-1.fc16, konsole-4.7.1-1.fc16, kross-interpreters-4.7.1-1.fc16, kruler-4.7.1-1.fc16, ksaneplugin-4.7.1-1.fc16, ksnapshot-4.7.1-1.fc16, kstars-4.7.1-3.fc16, ktouch-4.7.1-2.fc16, kturtle-4.7.1-2.fc16, kwordquiz-4.7.1-2.fc16, libkdcraw-4.7.1-1.fc16, libkdeedu-4.7.1-1.fc16, libkexiv2-4.7.1-1.fc16, libkipi-4.7.1-1.fc16, libksane-4.7.1-1.fc16, marble-4.7.1-1.fc16, okular-4.7.1-2.fc16, oxygen-icon-theme-4.7.1-1.fc16, parley-4.7.1-2.fc16, PyKDE4-4.7.1-2.fc16, rocs-4.7.1-3.fc16, shared-desktop-ontologies-0.8.0-1.fc16, smokegen-4.7.1-1.fc16, smokekde-4.7.1-2.fc16, smokeqt-4.7.1-2.fc16, step-4.7.1-2.fc16, svgpart-4.7.1-1.fc16, kdeutils-4.7.1-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing akonadi-1.6.1-1.fc16 blinken-4.7.1-2.fc16 cantor-4.7.1-2.fc16 gwenview-4.7.1-2.fc16 kalgebra-4.7.1-1.fc16 kalzium-4.7.1-1.fc16 kamera-4.7.1-1.fc16 kanagram-4.7.1-1.fc16 kate-4.7.1-1.fc16 kbruch-4.7.1-2.fc16 kcolorchooser-4.7.1-1.fc16 kdeaccessibility-4.7.1-1.fc16 kdeadmin-4.7.1-2.fc16 kdeartwork-4.7.1-1.fc16 kdebase-4.7.1-2.fc16 kdebase-runtime-4.7.1-1.fc16 kdebase-workspace-4.7.1-2.fc16 kdeedu-4.7.1-2.fc16 kdegames-4.7.1-1.fc16 kdegraphics-4.7.1-1.fc16 kdegraphics-strigi-analyzer-4.7.1-1.fc16 kdegraphics-thumbnailers-4.7.1-1.fc16 kde-l10n-4.7.1-1.fc16 kdelibs-4.7.1-1.fc16 kdemultimedia-4.7.1-4.fc16 kdenetwork-4.7.1-1.fc16 kdepim-4.7.1-1.fc16 kdepimlibs-4.7.1-1.fc16 kdepim-runtime-4.7.1-4.fc16 kdeplasma-addons-4.7.1-1.fc16 kdesdk-4.7.1-1.fc16 kde-settings-4.7-7.fc16 kdetoys-4.7.1-1.fc16 kgamma-4.7.1-1.fc16 kgeography-4.7.1-2.fc16 khangman-4.7.1-2.fc16 kig-4.7.1-2.fc16 kiten-4.7.1-2.fc16 klettres-4.7.1-2.fc16 kmplot-4.7.1-2.fc16 kolourpaint-4.7.1-1.fc16 konsole-4.7.1-1.fc16 kross-interpreters-4.7.1-1.fc16 kruler-4.7.1-1.fc16 ksaneplugin-4.7.1-1.fc16 ksnapshot-4.7.1-1.fc16 kstars-4.7.1-3.fc16 ktouch-4.7.1-2.fc16 kturtle-4.7.1-2.fc16 kwordquiz-4.7.1-2.fc16 libkdcraw-4.7.1-1.fc16 libkdeedu-4.7.1-1.fc16 libkexiv2-4.7.1-1.fc16 libkipi-4.7.1-1.fc16 libksane-4.7.1-1.fc16 marble-4.7.1-1.fc16 okular-4.7.1-2.fc16 oxygen-icon-theme-4.7.1-1.fc16 parley-4.7.1-2.fc16 PyKDE4-4.7.1-2.fc16 rocs-4.7.1-3.fc16 shared-desktop-ontologies-0.8.0-1.fc16 smokegen-4.7.1-1.fc16 smokekde-4.7.1-2.fc16 smokeqt-4.7.1-2.fc16 step-4.7.1-2.fc16 svgpart-4.7.1-1.fc16 kdeutils-4.7.1-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/akonadi-1.6.1-1.fc16,blinken-4.7.1-2.fc16,cantor-4.7.1-2.fc16,gwenview-4.7.1-2.fc16,kalgebra-4.7.1-1.fc16,kalzium-4.7.1-1.fc16,kamera-4.7.1-1.fc16,kanagram-4.7.1-1.fc16,kate-4.7.1-1.fc16,kbruch-4.7.1-2.fc16,kcolorchooser-4.7.1-1.fc16,kdeaccessibility-4.7.1-1.fc16,kdeadmin-4.7.1-2.fc16,kdeartwork-4.7.1-1.fc16,kdebase-4.7.1-2.fc16,kdebase-runtime-4.7.1-1.fc16,kdebase-workspace-4.7.1-2.fc16,kdeedu-4.7.1-2.fc16,kdegames-4.7.1-1.fc16,kdegraphics-4.7.1-1.fc16,kdegraphics-strigi-analyzer-4.7.1-1.fc16,kdegraphics-thumbnailers-4.7.1-1.fc16,kde-l10n-4.7.1-1.fc16,kdelibs-4.7.1-1.fc16,kdemultimedia-4.7.1-4.fc16,kdenetwork-4.7.1-1.fc16,kdepim-4.7.1-1.fc16,kdepimlibs-4.7.1-1.fc16,kdepim-runtime-4.7.1-4.fc16,kdeplasma-addons-4.7.1-1.fc16,kdesdk-4.7.1-1.fc16,kde-settings-4.7-7.fc16,kdetoys-4.7.1-1.fc16,kdeutils-4.7.1-3.fc16,kgamma-4.7.1-1.fc16,kgeography-4.7.1-2.fc16,khangman-4.7.1-2.fc16,kig-4.7.1-2.fc16,kiten-4.7.1-2.fc16,klettres-4.7.1-2.fc16,kmplot-4.7.1-2.fc16,kolourpaint-4.7.1-1.fc16,konsole-4.7.1-1.fc16,kross-interpreters-4.7.1-1.fc16,kruler-4.7.1-1.fc16,ksaneplugin-4.7.1-1.fc16,ksnapshot-4.7.1-1.fc16,kstars-4.7.1-3.fc16,ktouch-4.7.1-2.fc16,kturtle-4.7.1-2.fc16,kwordquiz-4.7.1-2.fc16,libkdcraw-4.7.1-1.fc16,libkdeedu-4.7.1-1.fc16,libkexiv2-4.7.1-1.fc16,libkipi-4.7.1-1.fc16,libksane-4.7.1-1.fc16,marble-4.7.1-1.fc16,okular-4.7.1-2.fc16,oxygen-icon-theme-4.7.1-1.fc16,parley-4.7.1-2.fc16,PyKDE4-4.7.1-2.fc16,rocs-4.7.1-3.fc16,shared-desktop-ontologies-0.8.0-1.fc16,smokegen-4.7.1-1.fc16,smokekde-4.7.1-2.fc16,smokeqt-4.7.1-2.fc16,step-4.7.1-2.fc16,svgpart-4.7.1-1.fc16
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2011-10-04 17:18:47 EDT
akonadi-1.6.1-1.fc16, blinken-4.7.1-2.fc16, cantor-4.7.1-2.fc16, gwenview-4.7.1-2.fc16, kalgebra-4.7.1-1.fc16, kalzium-4.7.1-1.fc16, kamera-4.7.1-1.fc16, kanagram-4.7.1-1.fc16, kate-4.7.1-1.fc16, kbruch-4.7.1-2.fc16, kcolorchooser-4.7.1-1.fc16, kdeaccessibility-4.7.1-1.fc16, kdeadmin-4.7.1-2.fc16, kdeartwork-4.7.1-1.fc16, kdebase-4.7.1-2.fc16, kdebase-runtime-4.7.1-1.fc16, kdebase-workspace-4.7.1-2.fc16, kdeedu-4.7.1-2.fc16, kdegames-4.7.1-1.fc16, kdegraphics-4.7.1-1.fc16, kdegraphics-strigi-analyzer-4.7.1-1.fc16, kdegraphics-thumbnailers-4.7.1-1.fc16, kde-l10n-4.7.1-1.fc16, kdemultimedia-4.7.1-4.fc16, kdenetwork-4.7.1-1.fc16, kdepim-4.7.1-1.fc16, kdepimlibs-4.7.1-1.fc16, kdepim-runtime-4.7.1-4.fc16, kdeplasma-addons-4.7.1-1.fc16, kdesdk-4.7.1-1.fc16, kde-settings-4.7-7.fc16, kdetoys-4.7.1-1.fc16, kgamma-4.7.1-1.fc16, kgeography-4.7.1-2.fc16, khangman-4.7.1-2.fc16, kig-4.7.1-2.fc16, kiten-4.7.1-2.fc16, klettres-4.7.1-2.fc16, kmplot-4.7.1-2.fc16, kolourpaint-4.7.1-1.fc16, konsole-4.7.1-1.fc16, kross-interpreters-4.7.1-1.fc16, kruler-4.7.1-1.fc16, ksaneplugin-4.7.1-1.fc16, ksnapshot-4.7.1-1.fc16, kstars-4.7.1-3.fc16, ktouch-4.7.1-2.fc16, kturtle-4.7.1-2.fc16, kwordquiz-4.7.1-2.fc16, libkdcraw-4.7.1-1.fc16, libkdeedu-4.7.1-1.fc16, libkexiv2-4.7.1-1.fc16, libkipi-4.7.1-1.fc16, libksane-4.7.1-1.fc16, marble-4.7.1-1.fc16, okular-4.7.1-2.fc16, oxygen-icon-theme-4.7.1-1.fc16, parley-4.7.1-2.fc16, PyKDE4-4.7.1-2.fc16, rocs-4.7.1-3.fc16, shared-desktop-ontologies-0.8.0-1.fc16, smokegen-4.7.1-1.fc16, smokekde-4.7.1-2.fc16, smokeqt-4.7.1-2.fc16, step-4.7.1-2.fc16, svgpart-4.7.1-1.fc16, kdeutils-4.7.1-3.fc16, kdelibs-4.7.1-2.fc16.1 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.